Bug 437238 - Gtk-Critical message when exiting esc
Gtk-Critical message when exiting esc
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Jack Magne
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 00:06 EDT by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:51:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2008-03-13 00:06:20 EDT
Description of problem:

A "(Gecko:7981): Gtk-CRITICAL **: gtk_main_quit: assertion `main_loops != NULL'
failed" error occurs after closing esc.

Version-Release number of selected component (if applicable):
* esc-1.0.0-32.el5

* rpm -qa | grep -i gtk:

gtk2-engines-2.8.0-3.el5
gtklp-1.2.3-1.rhis
gtkhtml3-3.12.0-1.fc6
gtkhtml2-2.11.0-3
gtk2-2.10.4-19.el5
gtkmm24-2.10.10-1.el5
wxGTK-2.8.4-4.el5
pygtk2-devel-2.10.1-8.el5
libgtk-java-2.8.7-3.el5
usermode-gtk-1.88-3.el5
authconfig-gtk-5.3.12-2.el5
gtk-doc-1.7-1.fc6
scim-bridge-gtk-0.4.5-7.el5
gnome-python2-gtkhtml2-2.14.2-4.fc6
gtk2-devel-2.10.4-19.el5
gtkspell-2.0.11-2.1
pygtk2-libglade-2.10.1-8.el5
gtksourceview-1.8.0-1.fc6
gnome-python2-gtksourceview-2.16.0-1.fc6
pygtk2-codegen-2.10.1-8.el5
pygtk2-2.10.1-8.el5

* Red Hat Enterprise Linux Client release 5.1 (Tikanga)

* Linux 2.6.18-53.1.13.el5xen #1 GNU/Linux

How reproducible:
Always

Steps to Reproduce:
1. open gnome-terminal.
2. run "esc"
3. right-click on the esc system tray icon, and select "Quit"

Actual results:
The following error (only visible in the terminal) appears:

(Gecko:8199): Gtk-CRITICAL **: gtk_main_quit: assertion `main_loops != NULL' failed

Expected results:
No error

Additional info:
Look similar to https://bugzilla.redhat.com/show_bug.cgi?id=224378

Thanks.
Comment 1 RHEL Product and Program Management 2008-06-10 19:55:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jack Magne 2008-09-18 16:43:39 EDT
This issue is addressed in the next build of esc for rhel5.
Comment 7 errata-xmlrpc 2009-01-20 15:51:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0085.html

Note You need to log in before you can comment on or make changes to this bug.